lwIP 2.1.2 Lightweight IP stack

Macros
Options
NETIFs » IEEE 802.1D bridge

## Macros
#define | BRIDGEIF_PORT_NETIFS_OUTPUT_DIRECT NO_SYS
#define | BRIDGEIF_MAX_PORTS 7
#define | BRIDGEIF_DEBUG LWIP_DBG_OFF
#define | BRIDGEIF_FDB_DEBUG LWIP_DBG_OFF
#define | BRIDGEIF_FW_DEBUG LWIP_DBG_OFF

## Detailed Description

## Macro Definition Documentation

## ◆ BRIDGEIF_DEBUG

#define BRIDGEIF_DEBUG LWIP_DBG_OFF

BRIDGEIF_DEBUG: Enable generic debugging in bridgeif.c.

## ◆ BRIDGEIF_FDB_DEBUG

#define BRIDGEIF_FDB_DEBUG LWIP_DBG_OFF

BRIDGEIF_DEBUG: Enable FDB debugging in bridgeif.c.

## ◆ BRIDGEIF_FW_DEBUG

#define BRIDGEIF_FW_DEBUG LWIP_DBG_OFF

BRIDGEIF_DEBUG: Enable forwarding debugging in bridgeif.c.

## ◆ BRIDGEIF_MAX_PORTS

#define BRIDGEIF_MAX_PORTS 7

BRIDGEIF_MAX_PORTS: this is used to create a typedef used for forwarding bit-fields: the number of bits required is this + 1 (for the internal/cpu port) (63 is the maximum, resulting in an u64_t for the bit mask) ATTENTION: this controls the maximum number of the implementation only! The max. number of ports per bridge must still be passed via netif_add parameter!

## ◆ BRIDGEIF_PORT_NETIFS_OUTPUT_DIRECT

#define BRIDGEIF_PORT_NETIFS_OUTPUT_DIRECT NO_SYS

BRIDGEIF_PORT_NETIFS_OUTPUT_DIRECT==1: set port netif's 'input' function to call directly into bridgeif code and on top of that, directly call into the selected forwarding port's 'linkoutput' function. This means that the bridgeif input/output path is protected from concurrent access but as well, all bridge port netif's drivers must correctly handle concurrent access! == 0: get into tcpip_thread for every input packet (no multithreading) ATTENTION: as ==0 relies on tcpip.h, the default depends on NO_SYS setting